# Class ZooKeeper.WatchRegistration

java.lang.Object
org.apache.zookeeper.ZooKeeper.WatchRegistration

Enclosing class:
  `ZooKeeper`

public abstract static class ZooKeeper.WatchRegistration extends Object
Register a watcher for a particular path.

## Constructor Summary

Constructors
Constructor
Description
`WatchRegistration(Watcher watcher, String clientPath)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract Map<String, Set<Watcher>>`
`getWatches(int rc)`
`void`
`register(int rc)`
Register the watcher with the set of watches on path.
`protected boolean`
`shouldAddWatch(int rc)`
Determine whether the watch should be added based on return code.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WatchRegistration

public WatchRegistration(Watcher watcher, String clientPath)

## Method Details

### getWatches

protected abstract Map<String, Set<Watcher>> getWatches(int rc)

### register

public void register(int rc)
Register the watcher with the set of watches on path.

Parameters:
  `rc` - the result code of the operation that attempted to add the watch on the path.

### shouldAddWatch

protected boolean shouldAddWatch(int rc)
Determine whether the watch should be added based on return code.

Parameters:
  `rc` - the result code of the operation that attempted to add the watch on the node
Returns:
  true if the watch should be added, otw false